Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDepthSortPolyData Class Reference

`#include <vtkDepthSortPolyData.h>`

Inheritance diagram for vtkDepthSortPolyData:

[legend]
Collaboration diagram for vtkDepthSortPolyData:

[legend]
List of all members.

## Detailed Description

sort poly data along camera view direction

Date:
  2002/05/16 02:03:50

Revision:
  1.10

vtkDepthSortPolyData rearranges the order of cells so that certain rendering operations (e.g., transparency or Painter's algorithms) generate correct results. To use this filter you must specify the direction vector along which to sort the cells. You can do this by specifying a camera and/or prop to define a view direction; or explicitly set a view direction.

Warning:
  The sort operation will not work well for long, thin primitives, or cells that intersect, overlap, or interpenetrate each other.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (75%)
  - Geveci, Berk (9%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkDepthSortPolyData.cxx)`
  - .`h` (`/Hybrid/vtkDepthSortPolyData.h)`

Examples:
  vtkDepthSortPolyData (Examples)

Tests:
  vtkDepthSortPolyData (Tests)

Definition at line 69 of file vtkDepthSortPolyData.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long | GetMTime ()
virtual void | SetDirection (int)
virtual int | GetDirection ()
void | SetDirectionToFrontToBack ()
void | SetDirectionToBackToFront ()
void | SetDirectionToSpecifiedVector ()
virtual void | SetDepthSortMode (int)
virtual int | GetDepthSortMode ()
void | SetDepthSortModeToFirstPoint ()
void | SetDepthSortModeToBoundsCenter ()
void | SetDepthSortModeToParametricCenter ()
virtual void | SetCamera (vtkCamera *)
virtual vtkCamera * | GetCamera ()
void | SetProp3D (vtkProp3D *)
vtkProp3D * | GetProp3D ()
virtual void | SetVector (double, double, double)
virtual void | SetVector (double[3])
virtual double * | GetVector ()
virtual void | GetVector (double data[3])
virtual void | SetOrigin (double, double, double)
virtual void | SetOrigin (double[3])
virtual double * | GetOrigin ()
virtual void | GetOrigin (double data[3])
virtual void | SetSortScalars (int)
virtual int | GetSortScalars ()
virtual void | SortScalarsOn ()
virtual void | SortScalarsOff ()
## Static Public Methods
vtkDepthSortPolyData * | New ()
int | IsTypeOf (const char *type)
vtkDepthSortPolyData * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDepthSortPolyData ()
| ~vtkDepthSortPolyData ()
void | Execute ()
void | ComputeProjectionVector (double vector[3], double origin[3])
## Protected Attributes
int | Direction
int | DepthSortMode
vtkCamera * | Camera
vtkProp3D * | Prop3D
vtkTransform * | Transform
double | Vector [3]
double | Origin [3]
int | SortScalars

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkDepthSortPolyData::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 75 of file vtkDepthSortPolyData.h.

## Constructor & Destructor Documentation

vtkDepthSortPolyData::vtkDepthSortPolyData | ( |  | ) | `[protected]`

vtkDepthSortPolyData::~vtkDepthSortPolyData | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDepthSortPolyData* vtkDepthSortPolyData::New | ( |  | ) | `[static]`

| Instantiate object. Reimplemented from vtkObject.

virtual const char* vtkDepthSortPolyData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkDepthSortPolyData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkDepthSortPolyData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkDepthSortPolyData* vtkDepthSortPolyData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkDepthSortPolyData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual void vtkDepthSortPolyData::SetDirection | ( | int |  | ) | `[virtual]`

| Specify the sort method for the polygonal primitives. By default, the poly data is sorted from back to front.

virtual int vtkDepthSortPolyData::GetDirection | ( |  | ) | `[virtual]`

| Specify the sort method for the polygonal primitives. By default, the poly data is sorted from back to front.

void vtkDepthSortPolyData::SetDirectionToFrontToBack | ( |  | ) | `[inline]`

| Specify the sort method for the polygonal primitives. By default, the poly data is sorted from back to front. Definition at line 83 of file vtkDepthSortPolyData.h. References VTK_DIRECTION_FRONT_TO_BACK.

void vtkDepthSortPolyData::SetDirectionToBackToFront | ( |  | ) | `[inline]`

| Specify the sort method for the polygonal primitives. By default, the poly data is sorted from back to front. Definition at line 85 of file vtkDepthSortPolyData.h. References VTK_DIRECTION_BACK_TO_FRONT.

void vtkDepthSortPolyData::SetDirectionToSpecifiedVector | ( |  | ) | `[inline]`

| Specify the sort method for the polygonal primitives. By default, the poly data is sorted from back to front. Definition at line 87 of file vtkDepthSortPolyData.h. References VTK_DIRECTION_SPECIFIED_VECTOR.

virtual void vtkDepthSortPolyData::SetDepthSortMode | ( | int |  | ) | `[virtual]`

| Specify the point to use when sorting. The fastest is to just take the first cell point. Other options are to take the bounding box center or the parametric center of the cell. By default, the first cell point is used.

virtual int vtkDepthSortPolyData::GetDepthSortMode | ( |  | ) | `[virtual]`

| Specify the point to use when sorting. The fastest is to just take the first cell point. Other options are to take the bounding box center or the parametric center of the cell. By default, the first cell point is used.

void vtkDepthSortPolyData::SetDepthSortModeToFirstPoint | ( |  | ) | `[inline]`

| Specify the point to use when sorting. The fastest is to just take the first cell point. Other options are to take the bounding box center or the parametric center of the cell. By default, the first cell point is used. Definition at line 98 of file vtkDepthSortPolyData.h. References VTK_SORT_FIRST_POINT.

void vtkDepthSortPolyData::SetDepthSortModeToBoundsCenter | ( |  | ) | `[inline]`

| Specify the point to use when sorting. The fastest is to just take the first cell point. Other options are to take the bounding box center or the parametric center of the cell. By default, the first cell point is used. Definition at line 100 of file vtkDepthSortPolyData.h. References VTK_SORT_BOUNDS_CENTER.

void vtkDepthSortPolyData::SetDepthSortModeToParametricCenter | ( |  | ) | `[inline]`

| Specify the point to use when sorting. The fastest is to just take the first cell point. Other options are to take the bounding box center or the parametric center of the cell. By default, the first cell point is used. Definition at line 102 of file vtkDepthSortPolyData.h. References VTK_SORT_PARAMETRIC_CENTER.

virtual void vtkDepthSortPolyData::SetCamera | ( | vtkCamera * |  | ) | `[virtual]`

| Specify a camera that is used to define a view direction along which the cells are sorted. This ivar only has effect if the direction is set to front-to-back or back-to-front, and a camera is specified.

virtual vtkCamera* vtkDepthSortPolyData::GetCamera | ( |  | ) | `[virtual]`

| Specify a camera that is used to define a view direction along which the cells are sorted. This ivar only has effect if the direction is set to front-to-back or back-to-front, and a camera is specified.

void vtkDepthSortPolyData::SetProp3D | ( | vtkProp3D * |  | ) |

| Specify a transformation matrix (via the vtkProp3D::GetMatrix() method) that is used to include the effects of transformation. This ivar only has effect if the direction is set to front-to-back or back-to-front, and a camera is specified. Specifying the vtkProp3D is optional.

vtkProp3D* vtkDepthSortPolyData::GetProp3D | ( |  | ) |

| Specify a transformation matrix (via the vtkProp3D::GetMatrix() method) that is used to include the effects of transformation. This ivar only has effect if the direction is set to front-to-back or back-to-front, and a camera is specified. Specifying the vtkProp3D is optional.

virtual void vtkDepthSortPolyData::SetVector | ( | double | ,
|  | double | ,
|  | double |
| ) | `[virtual]`

| Set/Get the sort direction. This ivar only has effect if the sort direction is set to SetDirectionToSpecifiedVector(). The sort occurs in the direction of the vector.

virtual void vtkDepthSortPolyData::SetVector | ( | double | [3] | ) | `[virtual]`

| Set/Get the sort direction. This ivar only has effect if the sort direction is set to SetDirectionToSpecifiedVector(). The sort occurs in the direction of the vector.

virtual double* vtkDepthSortPolyData::GetVector | ( |  | ) | `[virtual]`

| Set/Get the sort direction. This ivar only has effect if the sort direction is set to SetDirectionToSpecifiedVector(). The sort occurs in the direction of the vector.

virtual void vtkDepthSortPolyData::GetVector | ( | double | data[3] | ) | `[virtual]`

| Set/Get the sort direction. This ivar only has effect if the sort direction is set to SetDirectionToSpecifiedVector(). The sort occurs in the direction of the vector.

virtual void vtkDepthSortPolyData::SetOrigin | ( | double | ,
|  | double | ,
|  | double |
| ) | `[virtual]`

| Set/Get the sort origin. This ivar only has effect if the sort direction is set to SetDirectionToSpecifiedVector(). The sort occurs in the direction of the vector, with this point specifying the origin.

virtual void vtkDepthSortPolyData::SetOrigin | ( | double | [3] | ) | `[virtual]`

| Set/Get the sort origin. This ivar only has effect if the sort direction is set to SetDirectionToSpecifiedVector(). The sort occurs in the direction of the vector, with this point specifying the origin.

virtual double* vtkDepthSortPolyData::GetOrigin | ( |  | ) | `[virtual]`

| Set/Get the sort origin. This ivar only has effect if the sort direction is set to SetDirectionToSpecifiedVector(). The sort occurs in the direction of the vector, with this point specifying the origin.

virtual void vtkDepthSortPolyData::GetOrigin | ( | double | data[3] | ) | `[virtual]`

| Set/Get the sort origin. This ivar only has effect if the sort direction is set to SetDirectionToSpecifiedVector(). The sort occurs in the direction of the vector, with this point specifying the origin.

virtual void vtkDepthSortPolyData::SetSortScalars | ( | int |  | ) | `[virtual]`

| Set/Get a flag that controls the generation of scalar values corresponding to the sort order. If enabled, the output of this filter will include scalar values that range from 0 to (ncells-1), where 0 is closest to the sort direction.

virtual int vtkDepthSortPolyData::GetSortScalars | ( |  | ) | `[virtual]`

| Set/Get a flag that controls the generation of scalar values corresponding to the sort order. If enabled, the output of this filter will include scalar values that range from 0 to (ncells-1), where 0 is closest to the sort direction.

virtual void vtkDepthSortPolyData::SortScalarsOn | ( |  | ) | `[virtual]`

| Set/Get a flag that controls the generation of scalar values corresponding to the sort order. If enabled, the output of this filter will include scalar values that range from 0 to (ncells-1), where 0 is closest to the sort direction.

virtual void vtkDepthSortPolyData::SortScalarsOff | ( |  | ) | `[virtual]`

| Set/Get a flag that controls the generation of scalar values corresponding to the sort order. If enabled, the output of this filter will include scalar values that range from 0 to (ncells-1), where 0 is closest to the sort direction.

unsigned long vtkDepthSortPolyData::GetMTime | ( |  | ) | `[virtual]`

| Return MTime also considering the dependent objects: the camera and/or the prop3D. Reimplemented from vtkObject.

void vtkDepthSortPolyData::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkDepthSortPolyData::ComputeProjectionVector | ( | double | vector[3],
|  | double | origin[3]
| ) | `[protected]`

## Member Data Documentation

int vtkDepthSortPolyData::Direction`[protected]`

| Definition at line 162 of file vtkDepthSortPolyData.h.

int vtkDepthSortPolyData::DepthSortMode`[protected]`

| Definition at line 163 of file vtkDepthSortPolyData.h.

vtkCamera* vtkDepthSortPolyData::Camera`[protected]`

| Definition at line 164 of file vtkDepthSortPolyData.h.

vtkProp3D* vtkDepthSortPolyData::Prop3D`[protected]`

| Definition at line 165 of file vtkDepthSortPolyData.h.

vtkTransform* vtkDepthSortPolyData::Transform`[protected]`

| Definition at line 166 of file vtkDepthSortPolyData.h.

double vtkDepthSortPolyData::Vector[3]`[protected]`

| Definition at line 167 of file vtkDepthSortPolyData.h.

double vtkDepthSortPolyData::Origin[3]`[protected]`

| Definition at line 168 of file vtkDepthSortPolyData.h.

int vtkDepthSortPolyData::SortScalars`[protected]`

| Definition at line 169 of file vtkDepthSortPolyData.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkDepthSortPolyData.h